> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.payroc.com/llms.txt.
> For full documentation content, see https://docs.payroc.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.payroc.com/_mcp/server.

# List contacts

GET https://api.payroc.com/v1/processing-accounts/{processingAccountId}/contacts

Use this method to return a list of contacts for a processing account.    

**Note:** If you want to view the details of a specific contact and you have their contactId, use our [Retrieve Contact](https://docs.payroc.com/api/schema/boarding/contacts/retrieve) method.  

To list contacts for a processing account, you need the processingAccountId. Our gateway returned the processingAccountId in the response of the [Create Merchant Platform](https://docs.payroc.com/api/schema/boarding/merchant-platforms/create) method or the [Create Processing Account](https://docs.payroc.com/api/schema/boarding/merchant-platforms/create-processing-account) method.  

Our gateway returns the following information about each contact:  

- Name and contact method, including their phone number or mobile number.  
- Role within the business, for example, if they are a manager.  

For each contact, we also return a contactId, which you can use to perform follow-on actions.  


Reference: https://docs.payroc.com/api/schema/boarding/processing-accounts/list-contacts

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Payroc API
  version: 1.0.0
paths:
  /processing-accounts/{processingAccountId}/contacts:
    get:
      operationId: list-contacts
      summary: List contacts
      description: >
        Use this method to return a list of contacts for a processing
        account.    


        **Note:** If you want to view the details of a specific contact and you
        have their contactId, use our [Retrieve
        Contact](https://docs.payroc.com/api/schema/boarding/contacts/retrieve)
        method.  


        To list contacts for a processing account, you need the
        processingAccountId. Our gateway returned the processingAccountId in the
        response of the [Create Merchant
        Platform](https://docs.payroc.com/api/schema/boarding/merchant-platforms/create)
        method or the [Create Processing
        Account](https://docs.payroc.com/api/schema/boarding/merchant-platforms/create-processing-account)
        method.  


        Our gateway returns the following information about each contact:  


        - Name and contact method, including their phone number or mobile
        number.  

        - Role within the business, for example, if they are a manager.  


        For each contact, we also return a contactId, which you can use to
        perform follow-on actions.  
      tags:
        - subpackage_boarding.subpackage_boarding/processingAccounts
      parameters:
        - name: processingAccountId
          in: path
          description: Unique identifier that we assigned to the processing account.
          required: true
          schema:
            type: string
        - name: before
          in: query
          description: >
            Return the previous page of results before the value that you
            specify.  


            You can’t send the before parameter in the same request as the after
            parameter. 
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >
            Return the next page of results after the value that you specify.  


            You can’t send the after parameter in the same request as the before
            parameter. 
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Limit the maximum number of results that we return for each page.
          required: false
          schema:
            type: integer
            default: 10
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful request. Returns a list of contacts associated with the
            processing account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/paginatedContacts'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400'
        '401':
          description: Identity could not be verified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
        '403':
          description: Do not have permissions to perform this action
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404'
        '406':
          description: Not acceptable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/406'
        '500':
          description: An error has occured
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
servers:
  - url: https://api.payroc.com/v1
    description: Production
  - url: https://api.uat.payroc.com/v1
    description: UAT
components:
  schemas:
    '400':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorsItems'
      required:
        - type
        - title
        - status
        - detail
      title: '400'
    '401':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
      required:
        - type
        - title
        - status
        - detail
      title: '401'
    '403':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
        instance:
          type: string
          description: Resource path the action was attempted on
        resource:
          type: string
          description: Resource the action was attempted on
      required:
        - type
        - title
        - status
        - detail
      title: '403'
    '404':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
        resource:
          type: string
          description: Resource that was not found
      required:
        - type
        - title
        - status
        - detail
      title: '404'
    '406':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
      required:
        - type
        - title
        - status
        - detail
      title: '406'
    '500':
      type: object
      properties:
        type:
          type: string
          description: URI reference identifying the problem type
        title:
          type: string
          description: Short description of the issue.
        status:
          type: integer
          description: Http status code
        detail:
          type: string
          description: Explanation of the problem
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorsItems'
      required:
        - type
        - title
        - status
        - detail
      title: '500'
    link:
      type: object
      properties:
        rel:
          type: string
          description: >-
            Indicates the relationship between the current resource and the
            target resource.
        method:
          type: string
          description: HTTP method that you need to use with the target resource.
        href:
          type: string
          description: URL of the target resource.
      required:
        - rel
        - method
        - href
      description: Object that contains HATEOAS links for the resource.
      title: link
    ContactType:
      type: string
      enum:
        - manager
        - representative
        - others
      description: Type of contact.
      title: ContactType
    IdentifierType:
      type: string
      enum:
        - nationalId
      description: Type of ID provided to verify identity.
      title: IdentifierType
    identifier:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: Type of ID provided to verify identity.
        value:
          type: string
          description: Social Security Number (SSN) or Social Insurance Number (SIN).
      required:
        - type
        - value
      title: identifier
    contactMethod:
      oneOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - email
              description: 'Discriminator value: email'
            value:
              type: string
              description: Email address.
          required:
            - type
            - value
          description: email variant
        - type: object
          properties:
            type:
              type: string
              enum:
                - phone
              description: 'Discriminator value: phone'
            value:
              type: string
              description: Phone number.
          required:
            - type
            - value
          description: phone variant
        - type: object
          properties:
            type:
              type: string
              enum:
                - mobile
              description: 'Discriminator value: mobile'
            value:
              type: string
              description: Mobile number.
          required:
            - type
            - value
          description: mobile variant
        - type: object
          properties:
            type:
              type: string
              enum:
                - fax
              description: 'Discriminator value: fax'
            value:
              type: string
              description: Fax number.
          required:
            - type
            - value
          description: fax variant
      discriminator:
        propertyName: type
      title: contactMethod
    contact:
      type: object
      properties:
        contactId:
          type: integer
          description: Unique identifier of the contact.
        type:
          $ref: '#/components/schemas/ContactType'
          description: Type of contact.
        firstName:
          type: string
          description: Contact's first name.
        middleName:
          type: string
          description: Contact's middle name.
        lastName:
          type: string
          description: Contact's last name.
        identifiers:
          type: array
          items:
            $ref: '#/components/schemas/identifier'
          description: Array of identifier objects.
        contactMethods:
          type: array
          items:
            $ref: '#/components/schemas/contactMethod'
          description: "Array of polymorphic objects, which contain contact information.  \n\n**Note:** If you are adding information about an owner, you must provide at least an email address. If you are adding information about a contact, you must provide at least a contact number.   \n\nThe value of the type parameter determines which variant you should use:  \n-\t`email` - Email address \n-\t`phone` - Phone number\n-\t`mobile` - Mobile number\n-\t`fax` - Fax number\n"
      required:
        - type
        - firstName
        - lastName
        - identifiers
        - contactMethods
      title: contact
    paginatedContacts:
      type: object
      properties:
        limit:
          type: integer
          description: Maximum number of results that we return for each page.
        count:
          type: integer
          description: >
            Number of results we returned on this page. 


            **Note:** This might not be the total number of results that match
            your query. 
        hasMore:
          type: boolean
          description: Indicates whether there is another page of results available.
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
          description: >-
            Reference links to navigate to the previous page of results or to
            the next page of results.
        data:
          type: array
          items:
            $ref: '#/components/schemas/contact'
          description: Array of contact objects.
      description: >-
        Contains the pagination properties that you use to navigate through a
        list of results.
      title: paginatedContacts
    ErrorsItems:
      type: object
      properties:
        message:
          type: string
          description: Error message
      title: ErrorsItems
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

```

## Examples

### Paginated list of processing account contacts



**Response**

```json
{
  "limit": 2,
  "count": 2,
  "hasMore": true,
  "links": [
    {
      "rel": "previous",
      "method": "get",
      "href": "https://api.payroc.com/v1/processing-accounts/38765/contacts?before=1543&limit=2"
    },
    {
      "rel": "next",
      "method": "get",
      "href": "https://api.payroc.com/v1/processing-accounts/38765/contacts?after=87926&limit=2"
    }
  ],
  "data": [
    {
      "type": "manager",
      "firstName": "Jane",
      "lastName": "Doe",
      "identifiers": [
        {
          "type": "nationalId",
          "value": "xxxxx4320"
        }
      ],
      "contactMethods": [
        {
          "type": "phone",
          "value": "2025550164"
        },
        {
          "type": "mobile",
          "value": "8445557624"
        },
        {
          "type": "email",
          "value": "jane.doe@example.com"
        }
      ],
      "contactId": 1543,
      "middleName": "Helen"
    },
    {
      "type": "representative",
      "firstName": "Fred",
      "lastName": "Nerk",
      "identifiers": [
        {
          "type": "nationalId",
          "value": "xxxxx9876"
        }
      ],
      "contactMethods": [
        {
          "type": "phone",
          "value": "2025550110"
        },
        {
          "type": "mobile",
          "value": "85655587451"
        },
        {
          "type": "email",
          "value": "fred.nerk@example.com"
        }
      ],
      "contactId": 87926,
      "middleName": "Jim"
    }
  ]
}
```

**SDK Code**

```typescript Paginated list of processing account contacts
import { PayrocClient } from "payroc";

async function main() {
    const client = new PayrocClient();
    await client.boarding.processingAccounts.listContacts("38765", {
        before: "2571",
        after: "8516",
        limit: 25,
    });
}
main();

```

```python Paginated list of processing account contacts
from payroc import Payroc

client = Payroc()

client.boarding.processing_accounts.list_contacts(
    processing_account_id="38765",
    before="2571",
    after="8516",
    limit=25,
)

```

```java Paginated list of processing account contacts
package com.example.usage;

import com.payroc.api.PayrocApiClient;
import com.payroc.api.resources.boarding.processingaccounts.requests.ListContactsProcessingAccountsRequest;

public class Example {
    public static void main(String[] args) {
        PayrocApiClient client = PayrocApiClient
            .builder()
            .build();

        client.boarding().processingAccounts().listContacts(
            "38765",
            ListContactsProcessingAccountsRequest
                .builder()
                .before("2571")
                .after("8516")
                .limit(25)
                .build()
        );
    }
}
```

```ruby Paginated list of processing account contacts
require "payroc"

client = Payroc::Client.new

client.boarding.processing_accounts.list_contacts(
  processing_account_id: "38765",
  before: "2571",
  after: "8516",
  limit: 25
)

```

```csharp Paginated list of processing account contacts
using Payroc;
using System.Threading.Tasks;
using Payroc.Boarding.ProcessingAccounts;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayrocClient();

        await client.Boarding.ProcessingAccounts.ListContactsAsync(
            new ListContactsProcessingAccountsRequest {
                ProcessingAccountId = "38765",
                Before = "2571",
                After = "8516",
                Limit = 25
            }
        );
    }

}

```

```go Paginated list of processing account contacts
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.payroc.com/v1/processing-accounts/38765/contacts?before=2571&after=8516&limit=25"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```php Paginated list of processing account contacts
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.payroc.com/v1/processing-accounts/38765/contacts?before=2571&after=8516&limit=25', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```swift Paginated list of processing account contacts
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.payroc.com/v1/processing-accounts/38765/contacts?before=2571&after=8516&limit=25")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### No records found



**Response**

```json
{
  "limit": 10,
  "count": 0,
  "hasMore": false,
  "links": [],
  "data": []
}
```

**SDK Code**

```typescript No records found
import { PayrocClient } from "payroc";

async function main() {
    const client = new PayrocClient();
    await client.boarding.processingAccounts.listContacts("38765", {
        before: "2571",
        after: "8516",
        limit: 25,
    });
}
main();

```

```python No records found
from payroc import Payroc

client = Payroc()

client.boarding.processing_accounts.list_contacts(
    processing_account_id="38765",
    before="2571",
    after="8516",
    limit=25,
)

```

```java No records found
package com.example.usage;

import com.payroc.api.PayrocApiClient;
import com.payroc.api.resources.boarding.processingaccounts.requests.ListContactsProcessingAccountsRequest;

public class Example {
    public static void main(String[] args) {
        PayrocApiClient client = PayrocApiClient
            .builder()
            .build();

        client.boarding().processingAccounts().listContacts(
            "38765",
            ListContactsProcessingAccountsRequest
                .builder()
                .before("2571")
                .after("8516")
                .limit(25)
                .build()
        );
    }
}
```

```ruby No records found
require "payroc"

client = Payroc::Client.new

client.boarding.processing_accounts.list_contacts(
  processing_account_id: "38765",
  before: "2571",
  after: "8516",
  limit: 25
)

```

```csharp No records found
using Payroc;
using System.Threading.Tasks;
using Payroc.Boarding.ProcessingAccounts;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayrocClient();

        await client.Boarding.ProcessingAccounts.ListContactsAsync(
            new ListContactsProcessingAccountsRequest {
                ProcessingAccountId = "38765",
                Before = "2571",
                After = "8516",
                Limit = 25
            }
        );
    }

}

```

```go No records found
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.payroc.com/v1/processing-accounts/38765/contacts?before=2571&after=8516&limit=25"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```php No records found
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.payroc.com/v1/processing-accounts/38765/contacts?before=2571&after=8516&limit=25', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```swift No records found
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.payroc.com/v1/processing-accounts/38765/contacts?before=2571&after=8516&limit=25")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```